HyperTrackDocs
Orders

Create Tasks Definition

Creates a new task definition for an order. This endpoint is used to define the structure and requirements of tasks that can be created for orders.

POST
/orders/tasks-definitions

Creates a new task definition for an order. This endpoint is used to define the structure and requirements of tasks that can be created for orders.

Authorization

AuthorizationBasic <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orders/tasks-definitions" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "tasks": [      {        "label": "string"      }    ]  }'
{  "task_definition_id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",  "label": "order_tasks_definition 1",  "tasks": [    {      "label": "order_summary",      "description": "Generate order summary for order 001",      "priority": "high"    },    {      "label": "order_billing_summary",      "description": "Generate billing summary for order 001",      "priority": "medium"    }  ],  "created_at": "2023-10-01T12:00:00Z",  "updated_at": "2023-10-01T12:00:00Z"}
{  "code": "ops_group_not_defined",  "title": "Ops Group is not defined",  "detail": {    "description": "Ops Group <ops_group_handle> does not exist"  }}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}